data:extend({
	{
		type = "item",
		name = "Bee-Hive-Mk1",
		icon_size = 32,
		icon = "__base__/graphics/icons/iron-chest.png",
		flags = {"goes-to-quickbar"},
		subgroup = "1Hives",
		order = "a[Bee-Hive-Mk1]",
		place_result = "Bee-Hive-Mk1",
		stack_size = 64
	},
	{
		type = "assembling-machine",
		name = "Bee-Hive-Mk1",
		icon_size = 32,
		icon = "__base__/graphics/icons/iron-chest.png",
		flags = {"placeable-neutral", "placeable-player", "player-creation"},
		minable = {hardness = 0.2, mining_time = 0.5, result = "Bee-Hive-Mk1"},
		max_health = 250,
		corpse = "small-remnants",
		resistances =
		{
			{
				type = "fire",
				percent = 70
			}
		},
		fluid_boxes =
		{
			{
				production_type = "input",
				pipe_picture = assembler2pipepictures(),
				pipe_covers = pipecoverspictures(),
				base_area = 10,
				base_level = -1,
				pipe_connections = {{ type="input", position = {0, -1} }}
			},
			{
				production_type = "output",
				pipe_picture = assembler2pipepictures(),
				pipe_covers = pipecoverspictures(),
				base_area = 10,
				base_level = 1,
				pipe_connections = {{ type="output", position = {0, 1} }}
			},
				off_when_no_fluid_recipe = true
		},
		collision_box = {{-0.35, -0.35}, {0.35, 0.35}},
		selection_box = {{-0.5, -0.5}, {0.5, 0.5}},
		fast_replaceable_group = "assembling-machine",
		animation =
		{
			filename = "__base__/graphics/entity/iron-chest/iron-chest.png",
			priority = "high",
			width = 48,
			height = 34,
			frame_count = 1,
			line_length = 1,
			shift = {0.2, 0}
		},
		open_sound = { filename = "__base__/sound/machine-open.ogg", volume = 0.85 },
		close_sound = { filename = "__base__/sound/machine-close.ogg", volume = 0.75 },
		working_sound =
		{
			sound = {
				{
				filename = "__base__/sound/assembling-machine-t2-1.ogg",
				volume = 0.8
				},
			{
				filename = "__base__/sound/assembling-machine-t2-2.ogg",
				volume = 0.8
			},
		},
			idle_sound = { filename = "__base__/sound/idle1.ogg", volume = 0.6 },
			apparent_volume = 1.5,
		},
		crafting_categories = {"Beehive-Recipes"},
		crafting_speed = 0.1,
		energy_source =
		{
			type = "electric",
			usage_priority = "secondary-input",
			emissions = 0.04 / 2.5
		},
		energy_usage = "1kW",
		ingredient_count = 4,
		module_specification =
		{
			module_slots = 5,
			module_info_icon_shift = {0, 0.5},
			module_info_multi_row_initial_height_modifier = -0.3
		},
		allowed_effects = {"consumption", "speed", "productivity", "pollution"}
	}
})
